Skip to main content
GET
Get a published public post by slug.

Path Parameters

slug
string
required
Minimum string length: 1

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
userId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
slug
string
required
title
string
required
description
string | null
required
status
enum<string>
required
Available options:
DRAFT,
PUBLISHED
targetName
string | null
required
targetType
enum<string> | null
required
Available options:
GALAXY,
NEBULA,
STAR_CLUSTER,
PLANETARY_NEBULA,
OTHER
captureDate
string | null
required
bortle
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
finalImageAssetId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
finalThumbAssetId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
publishedAt
string | null
required
createdAt
string
required
updatedAt
string
required
finalImageAsset
object | null
required
finalThumbAsset
object | null
required
postIntegrationLinks
object[]
required